Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network245.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
245.232.0.0
Broadcast address
245.239.255.255
First usable
245.232.0.1
Last usable
245.239.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F5E80000 · Integer 4125622272 to 4126146559
Reverse DNS zones
232.245.in-addr.arpa
233.245.in-addr.arpa
234.245.in-addr.arpa
235.245.in-addr.arpa
236.245.in-addr.arpa
237.245.in-addr.arpa
238.245.in-addr.arpa
239.245.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110101.11101000.00000000.00000000245.232.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11110101.11101000.00000000.00000000245.232.0.0
Broadcast11110101.11101111.11111111.11111111245.239.255.255
Split into smaller subnets/23

245.232.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1245.232.0.0/23245.232.0.1 to 245.232.1.254245.232.1.255510
2245.232.2.0/23245.232.2.1 to 245.232.3.254245.232.3.255510
3245.232.4.0/23245.232.4.1 to 245.232.5.254245.232.5.255510
4245.232.6.0/23245.232.6.1 to 245.232.7.254245.232.7.255510
5245.232.8.0/23245.232.8.1 to 245.232.9.254245.232.9.255510
6245.232.10.0/23245.232.10.1 to 245.232.11.254245.232.11.255510
7245.232.12.0/23245.232.12.1 to 245.232.13.254245.232.13.255510
8245.232.14.0/23245.232.14.1 to 245.232.15.254245.232.15.255510
9245.232.16.0/23245.232.16.1 to 245.232.17.254245.232.17.255510
10245.232.18.0/23245.232.18.1 to 245.232.19.254245.232.19.255510
11245.232.20.0/23245.232.20.1 to 245.232.21.254245.232.21.255510
12245.232.22.0/23245.232.22.1 to 245.232.23.254245.232.23.255510
13245.232.24.0/23245.232.24.1 to 245.232.25.254245.232.25.255510
14245.232.26.0/23245.232.26.1 to 245.232.27.254245.232.27.255510
15245.232.28.0/23245.232.28.1 to 245.232.29.254245.232.29.255510
16245.232.30.0/23245.232.30.1 to 245.232.31.254245.232.31.255510
17245.232.32.0/23245.232.32.1 to 245.232.33.254245.232.33.255510
18245.232.34.0/23245.232.34.1 to 245.232.35.254245.232.35.255510
19245.232.36.0/23245.232.36.1 to 245.232.37.254245.232.37.255510
20245.232.38.0/23245.232.38.1 to 245.232.39.254245.232.39.255510
21245.232.40.0/23245.232.40.1 to 245.232.41.254245.232.41.255510
22245.232.42.0/23245.232.42.1 to 245.232.43.254245.232.43.255510
23245.232.44.0/23245.232.44.1 to 245.232.45.254245.232.45.255510
24245.232.46.0/23245.232.46.1 to 245.232.47.254245.232.47.255510
25245.232.48.0/23245.232.48.1 to 245.232.49.254245.232.49.255510
26245.232.50.0/23245.232.50.1 to 245.232.51.254245.232.51.255510
27245.232.52.0/23245.232.52.1 to 245.232.53.254245.232.53.255510
28245.232.54.0/23245.232.54.1 to 245.232.55.254245.232.55.255510
29245.232.56.0/23245.232.56.1 to 245.232.57.254245.232.57.255510
30245.232.58.0/23245.232.58.1 to 245.232.59.254245.232.59.255510
31245.232.60.0/23245.232.60.1 to 245.232.61.254245.232.61.255510
32245.232.62.0/23245.232.62.1 to 245.232.63.254245.232.63.255510
33245.232.64.0/23245.232.64.1 to 245.232.65.254245.232.65.255510
34245.232.66.0/23245.232.66.1 to 245.232.67.254245.232.67.255510
35245.232.68.0/23245.232.68.1 to 245.232.69.254245.232.69.255510
36245.232.70.0/23245.232.70.1 to 245.232.71.254245.232.71.255510
37245.232.72.0/23245.232.72.1 to 245.232.73.254245.232.73.255510
38245.232.74.0/23245.232.74.1 to 245.232.75.254245.232.75.255510
39245.232.76.0/23245.232.76.1 to 245.232.77.254245.232.77.255510
40245.232.78.0/23245.232.78.1 to 245.232.79.254245.232.79.255510
41245.232.80.0/23245.232.80.1 to 245.232.81.254245.232.81.255510
42245.232.82.0/23245.232.82.1 to 245.232.83.254245.232.83.255510
43245.232.84.0/23245.232.84.1 to 245.232.85.254245.232.85.255510
44245.232.86.0/23245.232.86.1 to 245.232.87.254245.232.87.255510
45245.232.88.0/23245.232.88.1 to 245.232.89.254245.232.89.255510
46245.232.90.0/23245.232.90.1 to 245.232.91.254245.232.91.255510
47245.232.92.0/23245.232.92.1 to 245.232.93.254245.232.93.255510
48245.232.94.0/23245.232.94.1 to 245.232.95.254245.232.95.255510
49245.232.96.0/23245.232.96.1 to 245.232.97.254245.232.97.255510
50245.232.98.0/23245.232.98.1 to 245.232.99.254245.232.99.255510
51245.232.100.0/23245.232.100.1 to 245.232.101.254245.232.101.255510
52245.232.102.0/23245.232.102.1 to 245.232.103.254245.232.103.255510
53245.232.104.0/23245.232.104.1 to 245.232.105.254245.232.105.255510
54245.232.106.0/23245.232.106.1 to 245.232.107.254245.232.107.255510
55245.232.108.0/23245.232.108.1 to 245.232.109.254245.232.109.255510
56245.232.110.0/23245.232.110.1 to 245.232.111.254245.232.111.255510
57245.232.112.0/23245.232.112.1 to 245.232.113.254245.232.113.255510
58245.232.114.0/23245.232.114.1 to 245.232.115.254245.232.115.255510
59245.232.116.0/23245.232.116.1 to 245.232.117.254245.232.117.255510
60245.232.118.0/23245.232.118.1 to 245.232.119.254245.232.119.255510
61245.232.120.0/23245.232.120.1 to 245.232.121.254245.232.121.255510
62245.232.122.0/23245.232.122.1 to 245.232.123.254245.232.123.255510
63245.232.124.0/23245.232.124.1 to 245.232.125.254245.232.125.255510
64245.232.126.0/23245.232.126.1 to 245.232.127.254245.232.127.255510
65245.232.128.0/23245.232.128.1 to 245.232.129.254245.232.129.255510
66245.232.130.0/23245.232.130.1 to 245.232.131.254245.232.131.255510
67245.232.132.0/23245.232.132.1 to 245.232.133.254245.232.133.255510
68245.232.134.0/23245.232.134.1 to 245.232.135.254245.232.135.255510
69245.232.136.0/23245.232.136.1 to 245.232.137.254245.232.137.255510
70245.232.138.0/23245.232.138.1 to 245.232.139.254245.232.139.255510
71245.232.140.0/23245.232.140.1 to 245.232.141.254245.232.141.255510
72245.232.142.0/23245.232.142.1 to 245.232.143.254245.232.143.255510
73245.232.144.0/23245.232.144.1 to 245.232.145.254245.232.145.255510
74245.232.146.0/23245.232.146.1 to 245.232.147.254245.232.147.255510
75245.232.148.0/23245.232.148.1 to 245.232.149.254245.232.149.255510
76245.232.150.0/23245.232.150.1 to 245.232.151.254245.232.151.255510
77245.232.152.0/23245.232.152.1 to 245.232.153.254245.232.153.255510
78245.232.154.0/23245.232.154.1 to 245.232.155.254245.232.155.255510
79245.232.156.0/23245.232.156.1 to 245.232.157.254245.232.157.255510
80245.232.158.0/23245.232.158.1 to 245.232.159.254245.232.159.255510
81245.232.160.0/23245.232.160.1 to 245.232.161.254245.232.161.255510
82245.232.162.0/23245.232.162.1 to 245.232.163.254245.232.163.255510
83245.232.164.0/23245.232.164.1 to 245.232.165.254245.232.165.255510
84245.232.166.0/23245.232.166.1 to 245.232.167.254245.232.167.255510
85245.232.168.0/23245.232.168.1 to 245.232.169.254245.232.169.255510
86245.232.170.0/23245.232.170.1 to 245.232.171.254245.232.171.255510
87245.232.172.0/23245.232.172.1 to 245.232.173.254245.232.173.255510
88245.232.174.0/23245.232.174.1 to 245.232.175.254245.232.175.255510
89245.232.176.0/23245.232.176.1 to 245.232.177.254245.232.177.255510
90245.232.178.0/23245.232.178.1 to 245.232.179.254245.232.179.255510
91245.232.180.0/23245.232.180.1 to 245.232.181.254245.232.181.255510
92245.232.182.0/23245.232.182.1 to 245.232.183.254245.232.183.255510
93245.232.184.0/23245.232.184.1 to 245.232.185.254245.232.185.255510
94245.232.186.0/23245.232.186.1 to 245.232.187.254245.232.187.255510
95245.232.188.0/23245.232.188.1 to 245.232.189.254245.232.189.255510
96245.232.190.0/23245.232.190.1 to 245.232.191.254245.232.191.255510
97245.232.192.0/23245.232.192.1 to 245.232.193.254245.232.193.255510
98245.232.194.0/23245.232.194.1 to 245.232.195.254245.232.195.255510
99245.232.196.0/23245.232.196.1 to 245.232.197.254245.232.197.255510
100245.232.198.0/23245.232.198.1 to 245.232.199.254245.232.199.255510
101245.232.200.0/23245.232.200.1 to 245.232.201.254245.232.201.255510
102245.232.202.0/23245.232.202.1 to 245.232.203.254245.232.203.255510
103245.232.204.0/23245.232.204.1 to 245.232.205.254245.232.205.255510
104245.232.206.0/23245.232.206.1 to 245.232.207.254245.232.207.255510
105245.232.208.0/23245.232.208.1 to 245.232.209.254245.232.209.255510
106245.232.210.0/23245.232.210.1 to 245.232.211.254245.232.211.255510
107245.232.212.0/23245.232.212.1 to 245.232.213.254245.232.213.255510
108245.232.214.0/23245.232.214.1 to 245.232.215.254245.232.215.255510
109245.232.216.0/23245.232.216.1 to 245.232.217.254245.232.217.255510
110245.232.218.0/23245.232.218.1 to 245.232.219.254245.232.219.255510
111245.232.220.0/23245.232.220.1 to 245.232.221.254245.232.221.255510
112245.232.222.0/23245.232.222.1 to 245.232.223.254245.232.223.255510
113245.232.224.0/23245.232.224.1 to 245.232.225.254245.232.225.255510
114245.232.226.0/23245.232.226.1 to 245.232.227.254245.232.227.255510
115245.232.228.0/23245.232.228.1 to 245.232.229.254245.232.229.255510
116245.232.230.0/23245.232.230.1 to 245.232.231.254245.232.231.255510
117245.232.232.0/23245.232.232.1 to 245.232.233.254245.232.233.255510
118245.232.234.0/23245.232.234.1 to 245.232.235.254245.232.235.255510
119245.232.236.0/23245.232.236.1 to 245.232.237.254245.232.237.255510
120245.232.238.0/23245.232.238.1 to 245.232.239.254245.232.239.255510
121245.232.240.0/23245.232.240.1 to 245.232.241.254245.232.241.255510
122245.232.242.0/23245.232.242.1 to 245.232.243.254245.232.243.255510
123245.232.244.0/23245.232.244.1 to 245.232.245.254245.232.245.255510
124245.232.246.0/23245.232.246.1 to 245.232.247.254245.232.247.255510
125245.232.248.0/23245.232.248.1 to 245.232.249.254245.232.249.255510
126245.232.250.0/23245.232.250.1 to 245.232.251.254245.232.251.255510
127245.232.252.0/23245.232.252.1 to 245.232.253.254245.232.253.255510
128245.232.254.0/23245.232.254.1 to 245.232.255.254245.232.255.255510
129245.233.0.0/23245.233.0.1 to 245.233.1.254245.233.1.255510
130245.233.2.0/23245.233.2.1 to 245.233.3.254245.233.3.255510
131245.233.4.0/23245.233.4.1 to 245.233.5.254245.233.5.255510
132245.233.6.0/23245.233.6.1 to 245.233.7.254245.233.7.255510
133245.233.8.0/23245.233.8.1 to 245.233.9.254245.233.9.255510
134245.233.10.0/23245.233.10.1 to 245.233.11.254245.233.11.255510
135245.233.12.0/23245.233.12.1 to 245.233.13.254245.233.13.255510
136245.233.14.0/23245.233.14.1 to 245.233.15.254245.233.15.255510
137245.233.16.0/23245.233.16.1 to 245.233.17.254245.233.17.255510
138245.233.18.0/23245.233.18.1 to 245.233.19.254245.233.19.255510
139245.233.20.0/23245.233.20.1 to 245.233.21.254245.233.21.255510
140245.233.22.0/23245.233.22.1 to 245.233.23.254245.233.23.255510
141245.233.24.0/23245.233.24.1 to 245.233.25.254245.233.25.255510
142245.233.26.0/23245.233.26.1 to 245.233.27.254245.233.27.255510
143245.233.28.0/23245.233.28.1 to 245.233.29.254245.233.29.255510
144245.233.30.0/23245.233.30.1 to 245.233.31.254245.233.31.255510
145245.233.32.0/23245.233.32.1 to 245.233.33.254245.233.33.255510
146245.233.34.0/23245.233.34.1 to 245.233.35.254245.233.35.255510
147245.233.36.0/23245.233.36.1 to 245.233.37.254245.233.37.255510
148245.233.38.0/23245.233.38.1 to 245.233.39.254245.233.39.255510
149245.233.40.0/23245.233.40.1 to 245.233.41.254245.233.41.255510
150245.233.42.0/23245.233.42.1 to 245.233.43.254245.233.43.255510
151245.233.44.0/23245.233.44.1 to 245.233.45.254245.233.45.255510
152245.233.46.0/23245.233.46.1 to 245.233.47.254245.233.47.255510
153245.233.48.0/23245.233.48.1 to 245.233.49.254245.233.49.255510
154245.233.50.0/23245.233.50.1 to 245.233.51.254245.233.51.255510
155245.233.52.0/23245.233.52.1 to 245.233.53.254245.233.53.255510
156245.233.54.0/23245.233.54.1 to 245.233.55.254245.233.55.255510
157245.233.56.0/23245.233.56.1 to 245.233.57.254245.233.57.255510
158245.233.58.0/23245.233.58.1 to 245.233.59.254245.233.59.255510
159245.233.60.0/23245.233.60.1 to 245.233.61.254245.233.61.255510
160245.233.62.0/23245.233.62.1 to 245.233.63.254245.233.63.255510
161245.233.64.0/23245.233.64.1 to 245.233.65.254245.233.65.255510
162245.233.66.0/23245.233.66.1 to 245.233.67.254245.233.67.255510
163245.233.68.0/23245.233.68.1 to 245.233.69.254245.233.69.255510
164245.233.70.0/23245.233.70.1 to 245.233.71.254245.233.71.255510
165245.233.72.0/23245.233.72.1 to 245.233.73.254245.233.73.255510
166245.233.74.0/23245.233.74.1 to 245.233.75.254245.233.75.255510
167245.233.76.0/23245.233.76.1 to 245.233.77.254245.233.77.255510
168245.233.78.0/23245.233.78.1 to 245.233.79.254245.233.79.255510
169245.233.80.0/23245.233.80.1 to 245.233.81.254245.233.81.255510
170245.233.82.0/23245.233.82.1 to 245.233.83.254245.233.83.255510
171245.233.84.0/23245.233.84.1 to 245.233.85.254245.233.85.255510
172245.233.86.0/23245.233.86.1 to 245.233.87.254245.233.87.255510
173245.233.88.0/23245.233.88.1 to 245.233.89.254245.233.89.255510
174245.233.90.0/23245.233.90.1 to 245.233.91.254245.233.91.255510
175245.233.92.0/23245.233.92.1 to 245.233.93.254245.233.93.255510
176245.233.94.0/23245.233.94.1 to 245.233.95.254245.233.95.255510
177245.233.96.0/23245.233.96.1 to 245.233.97.254245.233.97.255510
178245.233.98.0/23245.233.98.1 to 245.233.99.254245.233.99.255510
179245.233.100.0/23245.233.100.1 to 245.233.101.254245.233.101.255510
180245.233.102.0/23245.233.102.1 to 245.233.103.254245.233.103.255510
181245.233.104.0/23245.233.104.1 to 245.233.105.254245.233.105.255510
182245.233.106.0/23245.233.106.1 to 245.233.107.254245.233.107.255510
183245.233.108.0/23245.233.108.1 to 245.233.109.254245.233.109.255510
184245.233.110.0/23245.233.110.1 to 245.233.111.254245.233.111.255510
185245.233.112.0/23245.233.112.1 to 245.233.113.254245.233.113.255510
186245.233.114.0/23245.233.114.1 to 245.233.115.254245.233.115.255510
187245.233.116.0/23245.233.116.1 to 245.233.117.254245.233.117.255510
188245.233.118.0/23245.233.118.1 to 245.233.119.254245.233.119.255510
189245.233.120.0/23245.233.120.1 to 245.233.121.254245.233.121.255510
190245.233.122.0/23245.233.122.1 to 245.233.123.254245.233.123.255510
191245.233.124.0/23245.233.124.1 to 245.233.125.254245.233.125.255510
192245.233.126.0/23245.233.126.1 to 245.233.127.254245.233.127.255510
193245.233.128.0/23245.233.128.1 to 245.233.129.254245.233.129.255510
194245.233.130.0/23245.233.130.1 to 245.233.131.254245.233.131.255510
195245.233.132.0/23245.233.132.1 to 245.233.133.254245.233.133.255510
196245.233.134.0/23245.233.134.1 to 245.233.135.254245.233.135.255510
197245.233.136.0/23245.233.136.1 to 245.233.137.254245.233.137.255510
198245.233.138.0/23245.233.138.1 to 245.233.139.254245.233.139.255510
199245.233.140.0/23245.233.140.1 to 245.233.141.254245.233.141.255510
200245.233.142.0/23245.233.142.1 to 245.233.143.254245.233.143.255510
201245.233.144.0/23245.233.144.1 to 245.233.145.254245.233.145.255510
202245.233.146.0/23245.233.146.1 to 245.233.147.254245.233.147.255510
203245.233.148.0/23245.233.148.1 to 245.233.149.254245.233.149.255510
204245.233.150.0/23245.233.150.1 to 245.233.151.254245.233.151.255510
205245.233.152.0/23245.233.152.1 to 245.233.153.254245.233.153.255510
206245.233.154.0/23245.233.154.1 to 245.233.155.254245.233.155.255510
207245.233.156.0/23245.233.156.1 to 245.233.157.254245.233.157.255510
208245.233.158.0/23245.233.158.1 to 245.233.159.254245.233.159.255510
209245.233.160.0/23245.233.160.1 to 245.233.161.254245.233.161.255510
210245.233.162.0/23245.233.162.1 to 245.233.163.254245.233.163.255510
211245.233.164.0/23245.233.164.1 to 245.233.165.254245.233.165.255510
212245.233.166.0/23245.233.166.1 to 245.233.167.254245.233.167.255510
213245.233.168.0/23245.233.168.1 to 245.233.169.254245.233.169.255510
214245.233.170.0/23245.233.170.1 to 245.233.171.254245.233.171.255510
215245.233.172.0/23245.233.172.1 to 245.233.173.254245.233.173.255510
216245.233.174.0/23245.233.174.1 to 245.233.175.254245.233.175.255510
217245.233.176.0/23245.233.176.1 to 245.233.177.254245.233.177.255510
218245.233.178.0/23245.233.178.1 to 245.233.179.254245.233.179.255510
219245.233.180.0/23245.233.180.1 to 245.233.181.254245.233.181.255510
220245.233.182.0/23245.233.182.1 to 245.233.183.254245.233.183.255510
221245.233.184.0/23245.233.184.1 to 245.233.185.254245.233.185.255510
222245.233.186.0/23245.233.186.1 to 245.233.187.254245.233.187.255510
223245.233.188.0/23245.233.188.1 to 245.233.189.254245.233.189.255510
224245.233.190.0/23245.233.190.1 to 245.233.191.254245.233.191.255510
225245.233.192.0/23245.233.192.1 to 245.233.193.254245.233.193.255510
226245.233.194.0/23245.233.194.1 to 245.233.195.254245.233.195.255510
227245.233.196.0/23245.233.196.1 to 245.233.197.254245.233.197.255510
228245.233.198.0/23245.233.198.1 to 245.233.199.254245.233.199.255510
229245.233.200.0/23245.233.200.1 to 245.233.201.254245.233.201.255510
230245.233.202.0/23245.233.202.1 to 245.233.203.254245.233.203.255510
231245.233.204.0/23245.233.204.1 to 245.233.205.254245.233.205.255510
232245.233.206.0/23245.233.206.1 to 245.233.207.254245.233.207.255510
233245.233.208.0/23245.233.208.1 to 245.233.209.254245.233.209.255510
234245.233.210.0/23245.233.210.1 to 245.233.211.254245.233.211.255510
235245.233.212.0/23245.233.212.1 to 245.233.213.254245.233.213.255510
236245.233.214.0/23245.233.214.1 to 245.233.215.254245.233.215.255510
237245.233.216.0/23245.233.216.1 to 245.233.217.254245.233.217.255510
238245.233.218.0/23245.233.218.1 to 245.233.219.254245.233.219.255510
239245.233.220.0/23245.233.220.1 to 245.233.221.254245.233.221.255510
240245.233.222.0/23245.233.222.1 to 245.233.223.254245.233.223.255510
241245.233.224.0/23245.233.224.1 to 245.233.225.254245.233.225.255510
242245.233.226.0/23245.233.226.1 to 245.233.227.254245.233.227.255510
243245.233.228.0/23245.233.228.1 to 245.233.229.254245.233.229.255510
244245.233.230.0/23245.233.230.1 to 245.233.231.254245.233.231.255510
245245.233.232.0/23245.233.232.1 to 245.233.233.254245.233.233.255510
246245.233.234.0/23245.233.234.1 to 245.233.235.254245.233.235.255510
247245.233.236.0/23245.233.236.1 to 245.233.237.254245.233.237.255510
248245.233.238.0/23245.233.238.1 to 245.233.239.254245.233.239.255510
249245.233.240.0/23245.233.240.1 to 245.233.241.254245.233.241.255510
250245.233.242.0/23245.233.242.1 to 245.233.243.254245.233.243.255510
251245.233.244.0/23245.233.244.1 to 245.233.245.254245.233.245.255510
252245.233.246.0/23245.233.246.1 to 245.233.247.254245.233.247.255510
253245.233.248.0/23245.233.248.1 to 245.233.249.254245.233.249.255510
254245.233.250.0/23245.233.250.1 to 245.233.251.254245.233.251.255510
255245.233.252.0/23245.233.252.1 to 245.233.253.254245.233.253.255510
256245.233.254.0/23245.233.254.1 to 245.233.255.254245.233.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses